curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/kb/snapshot' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"snapshot": {
"as_of": "2026-08-31T14:22:05Z",
"entity_count": 1,
"events_applied": 1,
"rule_count": 1,
"triple_count": 1
}
}
Handler for GET /api/v1/kb/snapshot
Required scope: read
GET
/
api
/
v1
/
kb
/
snapshot
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/kb/snapshot' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"snapshot": {
"as_of": "2026-08-31T14:22:05Z",
"entity_count": 1,
"events_applied": 1,
"rule_count": 1,
"triple_count": 1
}
}
Required scope:
read
Query parameters
string
required
RFC3339 timestamp for snapshot reconstruction
Response
SnapshotResponse
KBSnapshot
required
Status codes
| Code | Meaning |
|---|---|
200 | Point-in-time KB snapshot |
400 | Invalid timestamp |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/kb/snapshot' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"snapshot": {
"as_of": "2026-08-31T14:22:05Z",
"entity_count": 1,
"events_applied": 1,
"rule_count": 1,
"triple_count": 1
}
}
Last modified on August 31, 2026